## pkg-create-dbgsym 0.16

=== debian/changelog ===
pkg-create-dbgsym (0.16) edgy; urgency=low

  * pkg_create_dbgsym: If package build directory does not exist, only whine
    and exit successfully instead of failing. This makes us bug-compatible to
    Debian #386246, right before Edgy release it is impractical to fix all
    broken packages for that. This will be reverted early in Edgy+1.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 12 Oct 2006 14:01:58 +0200

pkg-create-dbgsym (0.15) edgy; urgency=low

  * Fix (harmless) find error message on arch-specific packages without any
    ELF files at all.
  * Add dhtest.dbg3: Call dh_strip with --dbg-package dhtest (without the '='
    in between, as prescribed by the manpage). This reproduces the current
    libtasn-1-3 FTBFS.
  * dh_strip: Relax --dbg-package parameter parsing a bit to accept
    '--dbg-package pkgname' syntax.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 12 Oct 2006 11:55:35 +0200

pkg-create-dbgsym (0.14) edgy; urgency=low

  * Use more elaborate test crash programs with a three-function deep stack,
    so that gdb's current 'Could not find the frame base' failure in the
    topmost function does not completely break the test suite.
  * Add dhtest.dbg2 test case: Use dh_strip --keep-debug and manually move
    around the debug symbols to dhtest1-dbg. This replicates the current FTBFS
    of opal.
  * dh_strip: Handle --keep-debug option gracefully to err on the safe side.
    Fixes current opal FTBFS.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 21 Sep 2006 20:51:28 +0200

pkg-create-dbgsym (0.13) edgy; urgency=low

  * *test/crash2.c: Test for isinf() and explicitly raise a SIGFPE, to get
    a crash on powerpc, too.
  * dhtest.archspecific: Add powerpc package so that the package builds at all
    on powerpc.
  * cdbstest/debian/rules: Explicitly set CFLAGS to -O0 to avoid optimizing
    out function arguments and thus failing the test suite.
  * dhtest.noargs/debian/control: Add Pre-Depends field and multiline
    dependency field to reproduce current dpkg FTBFS.
  * pkg_create_dbgsym: 
    - Properly handle continuation lines in Dependency fields.
    - Also filter out Pre-Depends:.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 20 Aug 2006 17:19:46 +0200

pkg-create-dbgsym (0.12) edgy; urgency=low

  * Add dhtest.tmpdirarg/: Test suite check for a source package which uses
    the -P/--tmpdir= debhelper option. This recreates the current cdrtools
    FTBFS.
  * dh_strip: Respect -P/--tmpdir arguments.
  * pkg_create_dbgsym: Do not assume that the temporary package build
    directory is directly below debian/.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 17 Aug 2006 12:47:13 +0200

pkg-create-dbgsym (0.11) edgy; urgency=low

  * dhtest/debian/control: Add Suggests: to ${bar}-core to recreate current
    FTBFS of caudium.
  * pkg-create-dbgsym: Filter out dependency fields before passing them to
    dpkg-gencontrol. Doing it afterwards is too late since dpkg-gencontrol
    does not have variable substitutions at that point, which can mess up the
    dependencies to become unparseable.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 16 Aug 2006 09:40:57 +0200

pkg-create-dbgsym (0.10) edgy; urgency=low

  * Add dhtest.archspecific/: Test suite check for a source package with
    architecture specific binaries.
  * dh_strip: Evaluate DEB_BUILD_ARCH and ignore architecture specific
    packages which are not built on the current platform.
  * testsuite: If we encounter a -dbg package, check that it produces a good
    backtrace with the corresponding deb, in order to verify that the -dbgsym
    package did not break the debug link.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 15 Aug 2006 18:51:35 +0200

pkg-create-dbgsym (0.9) edgy; urgency=low

  * Ignore *.o files, too. Through some mysterious chain of events, adding GNU
    debuglinks to libc6-dev's /usr/lib/*crt*.o files causes unwanted
    debuglinks in gcc-produced binaries. This breaks dh_strip for all source
    packages which build a -dbg binary. Closes: LP#55880

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 10 Aug 2006 19:37:05 +0200

pkg-create-dbgsym (0.8) edgy; urgency=low

  * Remove the Essential: flag for -dbgsym package control records and fix
    Priority: to extra.
  * dhtest.noargs/Makefile: Add GNU debuglink to generated crash file; it's
    not entirely unreasonable for upstream or package build systems to do this
    without using dh_strip --dbg-package.
  * pkg_create_dbgsym: Remove GNU debuglink before adding our own, to not
    break if the binary already has its own. Remove the 'more than one
    hardlink' special case again, since it is now obsolete.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 10 Aug 2006 16:07:32 +0200

pkg-create-dbgsym (0.7) edgy; urgency=low

  * dh_strip: Call the real dh_strip if NO_PKG_MANGLE is given.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon,  7 Aug 2006 10:34:55 +0200

pkg-create-dbgsym (0.6) edgy; urgency=low

  * dhtest/debian/control: Add Replaces: and Breaks: fields with substitution
    variable as well.
  * Filter out Replaces: from original package's control record.
  * debian/copyright: Update FSF address.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue,  1 Aug 2006 11:03:03 +0200

pkg-create-dbgsym (0.5) edgy; urgency=low

  * dhtest: Add Depends/Recommends/Suggests/Conflicts with a substitution
    variable, to recreate the current openoffice.org FTBFS.
  * Filter out Recommends:, Suggests:, Conflicts:, Provides:, and Breaks: from
    original package's control record, since they are not necessary and just
    potentially break the build.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 31 Jul 2006 22:01:34 +0200

pkg-create-dbgsym (0.4) edgy; urgency=low

  * Do not add .ddebs to the .changes file until Soyuz is able to process
    them. With that, we can already install this package into the buildd
    chroots to fix remaining FTBFSes induced by this package, and it even

