## pkg-create-dbgsym 0.16.1

=== debian/changelog ===
pkg-create-dbgsym (0.16.1) edgy-proposed; urgency=low

  * dh_strip: disable pkg-create-dbgsym if Archive Purpose is PPA.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 20 Dec 2007 19:37:05 -0700
