## pkg-create-dbgsym 0.20

=== debian/changelog ===
pkg-create-dbgsym (0.20) feisty; urgency=low

  * Move test suite into tests/ to unclutter source root directory.
  * Add tests/dhtest.versionoverride: Test case for overriding the version of
    a particular binary. This replicates LP #92747. However, since this is
    unfixable without major changes (dh_strip is called before dh_gencontrol
    usually), we do not run the test case for now.
  * pkg_create_dbgsym: Do not generate conflicts to python dbg packages.
    (LP: #88695)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue,  3 Apr 2007 10:58:17 +0200

pkg-create-dbgsym (0.19) feisty; urgency=low

  * dh_strip: Explicitly unset $pkg before parsing debian/control.
    Packages with a debian/rules that happen to set this variable FTBFS
    otherwise (like sim).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri,  2 Feb 2007 13:07:34 +0100

pkg-create-dbgsym (0.18) feisty; urgency=low

  * testsuite: Check that all ddebs conflict to all built -dbg packages.
  * pkg_create_dbgsym: Determine set of -dbg packages and add Conflicts: to
    them. Closes: LP#68268

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 15 Dec 2006 11:15:33 +0100

pkg-create-dbgsym (0.17) feisty; urgency=low

  * Revert Debian #386246 workaround of 0.16 again, we should now fix the
    actually broken packages.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 14 Dec 2006 08:35:25 +0100
