## pkg-create-dbgsym 0.25

=== tests/dhtest.noargs/Makefile ===
CFLAGS= -g -Wall -W -O0

LIBNAME=crashrep

all: crash crash2

crash: crash.o
	$(CC) $^ -o $@
	objcopy --add-gnu-debuglink=$@ $@

crash2: crash2.o
	$(CC) $^ -o $@

clean:
	rm -f *.o crash crash2

install: all
	install -d $(DESTDIR)/usr/bin
	install crash crash2 $(DESTDIR)/usr/bin
