=== debian/changelog ===
pkg-create-dbgsym (0.25) hardy; urgency=low

  * tests/dhtest.nostrip: Add another test case for dh_strip blacklisting with
    a space between -X and the argument. This reproduces the followup problem
    in LP #180364.
  * dh_strip: Fix option parsing to get along with spaces between -X and the
    argument. (LP: #180364)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 26 Feb 2008 16:05:28 +0100

pkg-create-dbgsym (0.24) hardy; urgency=low

  * Add tests/dhtest.nostrip: Ignore crash2 for dh_strip, and add an assertion
    that the file isn't touched by dh_strip. This reproduces LP #180364.
  * Parse dh_strip's -X options in the wrapper and pass them to
    pkg_create_dbgsym. Do not touch any files which match these patterns. This
    avoids adding GNU debuglinks to ELF binaries which must not be touched at
    all, like Ocaml bytecode. (LP: #180364)
  * tests/run: Do not expect a dbgsym package for test .debs with 'nostrip' in
    the name (as used by the tests/dhtest.nostrip test case).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 21 Feb 2008 17:55:07 +0100

pkg-create-dbgsym (0.23) hardy; urgency=low

  * Also disable pkg-create-dbgsym if Archive Purpose is PPA.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 18 Dec 2007 16:01:24 -0700

pkg-create-dbgsym (0.22) hardy; urgency=low

  * Disable symbol extraction if *-autotest is found in Suite in the
    buildd's /CurrentlyBuilding file; requires a modified sbuild.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 14 Dec 2007 15:18:37 -0700

pkg-create-dbgsym (0.21) hardy; urgency=low

  * Add tests/dhtest.compat1override/: Declare debian/compat '4', but override
    it in debian/rules with DH_COMPAT=1. Reproduces the FTBFS of dvi2tty,
    flexml, and gtk-engines-mono.
  * dh_strip: Fix debhelper compatibility level detection so that DH_COMPAT
    overrides debian/compat. (LP: #173631)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 04 Dec 2007 11:58:19 +0100
