=== debian/control ===
Source: pkg-create-dbgsym
Section: devel
Priority: extra
Build-Depends-Indep: debhelper (>> 4)
Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
Standards-Version: 3.7.2

Package: pkg-create-dbgsym
Architecture: all
Description: automatically build debug symbol ddeb packages
 pkg_create_dbgsym builds a debug symbol ddeb for a given package in a
 built source tree and adds it to debian/files.
 .
 This package diverts and wraps debhelper's dh_strip. It automatically
 calls pkg_create_dbgsym for all packages dh_strip is asked to act on.
 As a result, by merely installing this package on buildds, all
 packages will automatically get ddebs built.
