=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

clean:
	if [ -d testsuite.tmp ]; then \
	    echo "testsuite.tmp still exists, please clean up and check test suite"; \
	    exit 1; \
	fi

	dh_testdir
	dh_testroot
	dh_clean 

binary-indep: install
	dh_testdir
	dh_testroot
	dh_clean -k 

	install -D -m 755 dh_strip debian/pkg-create-dbgsym/usr/bin/dh_strip
	install -D -m 755 pkg_create_dbgsym debian/pkg-create-dbgsym/usr/bin/pkg_create_dbgsym

	dh_installchangelogs 
	dh_installdocs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install
