=== tests/dhtest.tmpdirarg/debian/control ===
Source: dhtest.tmpdirarg
Section: utils
Priority: extra
Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
Build-Depends: debhelper (>= 4.1.0)
Standards-Version: 3.7.2

Package: dhtest1
Architecture: any
Depends: ${shlibs:Depends}
Description: crash with a SIGSEGV
 Test package
