## pkg-create-dbgsym 0.26

=== debian/changelog ===
pkg-create-dbgsym (0.26) intrepid; urgency=low

  * dh_strip: Recognize "export DH_COMPAT := x" syntax, too. Thanks, Michael
    Biena!

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 03 Jun 2008 12:41:58 +0200
