## pkg-create-dbgsym 0.31

=== debian/changelog ===
pkg-create-dbgsym (0.31) karmic; urgency=low

  [ Loïc Minier ]
  * Add lintian override for lack of dh_strip manpage (dh_strip is diverted);
    bump debhelper build-dep to >= 6.0.7~ for dh_lintian.
  * Move debhelper to build-deps instead of build-deps-indep for clean:.
  * Bump debhelper compat level to 5.
  * Bump up Standards-Version to 3.8.3; no change needed.
  * Use dh_prep instead of dh_clean -k; update debhelper build-dep to
    >= 6.0.13~.
  * Pass -i to dh_* in binary-indep.
  * Use dh_install to install the binaries, dh_fixperms will set them +x.

  [ Martin Pitt ]
  * dhtest.archspecific: Add a package with "Architecture: kfreebsd-i386
    kfreebsd-amd64". This reproduces the current glib2.0 FTBFS on i386/amd64.
  * dh_clean: Fix grepping of Architecture field to only match space separated
    words, instead of using -w; the latter matches e. g. kfreebsd-i386 on
    i386.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 24 Sep 2009 20:09:36 +0200

pkg-create-dbgsym (0.30) karmic; urgency=low

  * Add Vcs-Bzr in control.
  * Set NO_PKG_MANGLE when building the -dbgsym .debs as running
    pkgstriptranslations etc. when -dbgsyms are created results in nasty side
    effects; use dpkg-deb --build instead of dpkg --build for clarity.
  * Add README mentionning how to run the tests before upload.

 -- Loïc Minier <loic.minier@ubuntu.com>  Tue, 15 Sep 2009 12:54:24 +0200

pkg-create-dbgsym (0.29) karmic; urgency=low

  * Add tests/dhtest.whitespace: Test odd whitespace in debian/control:
    - Using tabs instead of spaces for multi-line dependency fields. This
      replicates the mplayer issue (LP #384597).
    - Putting Description: in the middle and ending the package record with a
      dependency field. This replicates the new dictd FTBFS.
  * tests/run: Ensure that all other dependency fields get stripped.
  * pkg_create_dbgsym: Unbreak fix from 0.28: Only look ahead for space and
    tab, not for all whitespace; \s also catches \n. This caused the dictd
    FTBFS.
  * Bump Standards-Version to 3.8.1 (no changes necessary).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 11 Jun 2009 11:13:07 +0200

pkg-create-dbgsym (0.28) karmic; urgency=low

  * Fix multi-line depends parsing if one field evaluates to be empty. Thanks
    to Michael Biena! (LP: #384597)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 08 Jun 2009 07:57:42 +0200

pkg-create-dbgsym (0.27) karmic; urgency=low

  * Make dh_strip actually abort correctly if debhelper isn't installed.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 05 May 2009 16:27:55 -0600
