=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: pkg-create-dbgsym
 Section: devel
 Priority: extra
-Build-Depends-Indep: debhelper (>> 4)
+Build-Depends: debhelper (>= 6.0.13~)
 Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
-Standards-Version: 3.7.2
+Standards-Version: 3.8.3
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/pkg-create-dbgsym/trunk
 
 Package: pkg-create-dbgsym
 Architecture: all
