=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

clean:
	if [ -d testsuite.tmp ]; then \
	    echo "testsuite.tmp still exists, please clean up and check test suite"; \
	    exit 1; \
	fi
	dh_testdir
	dh_testroot
	dh_clean

binary-indep: install
	dh_testdir
	dh_testroot
	dh_prep
	dh_install -i
	dh_lintian -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install
