=== tests/dhtest.whitespace/debian/control ===
Source: dhtest
Section: utils
Priority: extra
Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
Build-Depends: debhelper (>= 4.1.0)
Standards-Version: 3.7.2

Package: dhtest1
Architecture: any
Description: crash with a SIGSEGV
 Test package
Depends: ${shlibs:Depends}, 
 coreutils (>> ${foo})
Recommends: dhtest2 (>> ${foo})
Suggests: dhtestall (>= ${foo}), ${bar}-core
Conflicts: dhtestall (<< ${foo})
Breaks: dhtestall (<< ${foo})
Replaces: dhtestall (<< ${foo})

Package: dhtest2
Architecture: any
Description: crash with a SIGFPE
 Test package
Depends: ${shlibs:Depends},
	coreutils,
	bash

Package: dhtestall
Architecture: all
Depends: ${shlibs:Depends}
Description: dummy arch-all package
 Test package
Pre-Depends: coreutils,
 bash,
	findutils
