## pkg-create-dbgsym 0.42

=== debian/changelog ===
pkg-create-dbgsym (0.42) lucid; urgency=low

  * Add tests/dhtest.doublestrip/: Call dh_strip twice, to check whether this
    keeps the debug symbols intact. This reproduces LP #562418, where debug
    symbols and CRC checksums were damaged due to double-stripping.
  * pkg_create_dbgsym: Do nothing if we already have built a .ddeb during this
    package build, i. e. it is in debian/files already. This fixes
    overwriting good .ddebs and debug links in case dh_strip gets called
    twice. Thanks to Tormod Volden for investigating this! (LP: #562418)
  * debian/control: Bump Standards-Version to 3.8.4 (no changes necessary).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 22 Apr 2010 10:36:38 +0200

pkg-create-dbgsym (0.41) lucid; urgency=low

  * tests/dhtest.dbg2: Add a new package dhtest2-extra which we exclude from
    dh_strip with -N. This causes dhtest2-dbgsym to not be generated and thus
    reproduces LP #566602.
  * dh_strip: Fix the "is this package in this list" grep to only match on
    whitespace separation, not on e. g. dashes (which grep -w does). This
    caused some ddebs like "libglib2.0-0-dbgsym" not to be built if dh_strip
    was called with ignoring a similar package name (-Nlibglib2.0-0-refdbg).
    To make this more robust, define a new shell function in_list() for this
    and just implement it once. (LP: #566602)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 20 Apr 2010 11:01:37 +0200

pkg-create-dbgsym (0.40) lucid; urgency=low

  * Strip -O from options passed from dh not only for comparison but also for
    processing them. (LP: #520767)

 -- Michael Bienia <geser@ubuntu.com>  Thu, 08 Apr 2010 10:35:01 +0200

pkg-create-dbgsym (0.39) lucid; urgency=low

  * Strip -O from options passed from dh (LP: #520767).

 -- Michael Bienia <geser@ubuntu.com>  Mon, 15 Feb 2010 12:22:05 +0100

pkg-create-dbgsym (0.38) lucid; urgency=low

  * tests/run: set the new var PKG_IGNORE_CURRENTLY_BUILDING=1 instead of
    NO_PKG_MANGLE=1 since pkg-create-dbgsym also disables itself when setting
    NO_PKG_MANGLE=1 and this breaks the testsuite; build-conflict with
    pkgbinarymangler << 66~.  Also, unset NO_PKG_MANGLE as it's set by buildds
    and will cause the same issue.
  * dh_strip: if PKG_IGNORE_CURRENTLY_BUILDING is set to 1 don't read
    /CurrentlyBuilding to decided whether or not to build -dbgsym packages but
    build them unconditionally.
  * Build-depend on gdb for the testsuite and on cdbs for the cdbstest
    package.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sat, 16 Jan 2010 18:34:20 +0100

pkg-create-dbgsym (0.37) lucid; urgency=low

  * tests/run: set NO_PKG_MANGLE=1 in the env when calling dpkg-buildpackage
    to build test packages as to avoid pkgbinarymangler's pkgsanitychecks to
    fail the build when it notices another package than the /CurrentlyBuilding
    one is being built.  Ideally, we'd also hook into dpkg-buildpackage or
    some other place to detect what is being built.

 -- Loïc Minier <loic.minier@ubuntu.com>  Fri, 15 Jan 2010 01:44:56 +0100

pkg-create-dbgsym (0.36) lucid; urgency=low

  * Drop XB-Python-Version from the headers we copy over from debian/control
    for -dbgsym packages: it's usually set to ${python:Versions} -- but the
    -dbgsym package has no such substvar -- and the -dbgsym isn't a python-
    lib anyway.
  * Add ${misc:Depends}.
  * Bump debhelper build-dep to >= 7 for dh_prep.
  * Rewrite rules using "dh" since we need debhelper 7 anyway.
  * Also test for presence of tests/testsuite.tmp to fail clean:.
  * Adapt dh_strip to test whether it's looping trying to run itself and also
    to try running /usr/bin/dh_strip in the case where pkg-create-dbgsym is
    not installed in the build environment (but debhelper is); this allows
    running the testsuite during build, so do that.
  * Bump debhelper build-dep to >= 7.0.50~ for overrides.

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 14 Jan 2010 18:09:17 +0100

pkg-create-dbgsym (0.35) lucid; urgency=low

  * Add -k as an alias option name for --keep-debug. Thanks to Michael Bienia!

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 30 Nov 2009 22:15:43 +0100

pkg-create-dbgsym (0.34) lucid; urgency=low

  * Also skip over XB-Python-Version header when generating the new control
    file; this avoids the "unknown substitution variable ${python:Versions}"
    warning when generating the -dbgsym packages; thanks Michael Bienia.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sat, 28 Nov 2009 18:10:52 +0100

pkg-create-dbgsym (0.33) lucid; urgency=low

  * Invert the logic which dh_strip used to pass the "don't add ddebs to
    .changes" down to pkg_create_dbgsym. This prevents packages which don't
    use debhelper, but call pkg_create_dbgsym directly from suddenly adding
    ddebs to .changes (which makes Soyuz unhappy).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 18 Nov 2009 19:21:54 -0600

pkg-create-dbgsym (0.32) lucid; urgency=low

  [ Loïc Minier ]
  * Fix Vcs-Bzr, it's /ubuntu, not /trunk

  [ Martin Pitt ]
  * Add Source: field to ddebs whose original name had the same name as the
    source. Soyuz does not like those. Thanks to William Grant for the patch!
    (LP: #429782)
  * Add ddebs to .changes file now, since Soyuz will support that soon. Check
    /CurrentlyBuilding for the Build-Debug-Symbols flag, and fall back to the
    old logic if it does not exist. Thanks to William Grant! (LP: #429796, 
    #429793)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 15 Nov 2009 06:36:58 -0600
