## pkg-create-dbgsym 0.43

=== debian/changelog ===
pkg-create-dbgsym (0.43) lucid-proposed; urgency=low

  * pkg_create_dbgsym: Do not check debian/files for whether we already
    processed a .ddeb, since Launchpad Soyuz disables dpkg-distaddfile for
    ddebs still. Instead, skip the run if we do not find any unstripped binary
    in the current package. (LP: #562418)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 26 Apr 2010 14:00:38 +0200
