=== tests/dhtest.compat1override/debian/changelog ===
dhtest.compat1override (2:3.4) foo; urgency=low

  * Initial release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 16 Jun 2006 10:49:56 +0200
