=== debian/control ===
--- 
+++ 
@@ -1,13 +1,17 @@
 Source: pkg-create-dbgsym
 Section: devel
 Priority: extra
-Build-Depends: debhelper (>= 6.0.13~)
+Build-Depends: debhelper (>= 7.0.50~),
+               gdb,
+               cdbs
 Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
-Standards-Version: 3.8.3
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/pkg-create-dbgsym/trunk
+Standards-Version: 3.8.4
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/pkg-create-dbgsym/ubuntu
+Build-Conflicts: pkgbinarymangler (<< 66~)
 
 Package: pkg-create-dbgsym
 Architecture: all
+Depends: ${misc:Depends}
 Description: automatically build debug symbol ddeb packages
  pkg_create_dbgsym builds a debug symbol ddeb for a given package in a
  built source tree and adds it to debian/files.
