=== tests/cdbstest/debian/control ===
Source: cdbstest
Section: utils
Priority: extra
Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
Build-Depends: cdbs, debhelper (>= 4.1.0)
Standards-Version: 3.7.2

Package: cdbstest1
Architecture: any
Depends: ${shlibs:Depends}
Description: crash with a SIGSEGV
 Test package

Package: cdbstest2
Architecture: any
Depends: ${shlibs:Depends}
Description: crash with a SIGFPE
 Test package

Package: cdbstestempty
Architecture: any
Depends: ${shlibs:Depends}
Description: dummy arch-any package
 Test package

Package: cdbstestall
Architecture: all
Depends: ${shlibs:Depends}
Description: dummy arch-all package
 Test package
