=== tests/dhtest.archspecific/debian/control ===
--- 
+++ 
@@ -23,3 +23,9 @@
 Description: crash with a SIGSEGV
  Test package
 
+Package: dhtest-bsd
+Architecture: kfreebsd-i386 kfreebsd-amd64
+Depends: ${shlibs:Depends}
+Description: crash with a SIGSEGV
+ Test package
+
