=== tests/dhtest.whitespace/debian/control ===
--- 
+++ 
@@ -1,4 +1,4 @@
-Source: dhtest
+Source: dhtest.whitespace
 Section: utils
 Priority: extra
 Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
