## pkg-create-dbgsym 0.45

=== debian/changelog ===
pkg-create-dbgsym (0.45) maverick; urgency=low

  [ Loïc Minier ]
  * dh_strip: replace grep + shell + sed with just sed.

  [ Steve Langasek ]
  * pkg-create-dbgsym: when cross-building as identified by
    dpkg-architecture, use the cross binutils instead of the native ones to
    ensure the tools understand how to act on the binaries.  LP: #626468.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Sep 2010 05:57:03 +0000

pkg-create-dbgsym (0.44) maverick; urgency=low

  * dh_strip: debian/control fields aren't required to have a space after
    the field name; fix the parsing code to still be able to detect
    package/architecture fields correctly in this case.  Thanks to
    Wookey <wookey@linaro.org> for the initial patch.  LP: #627122.
  * tests/dhtest.whitespace: extend test case with more interesting
    whitespace usage for Package/Architecture fields, to match.   

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 02 Sep 2010 16:01:02 +0000
