=== tests/dhtest.whitespace/debian/control ===
--- 
+++ 
@@ -17,8 +17,8 @@
 Breaks: dhtestall (<< ${foo})
 Replaces: dhtestall (<< ${foo})
 
-Package: dhtest2
-Architecture: any
+Package:dhtest2
+Architecture:   any
 Description: crash with a SIGFPE
  Test package
 Depends: ${shlibs:Depends},
