## pkg-create-dbgsym 0.48

=== debian/changelog ===
pkg-create-dbgsym (0.48) natty; urgency=low

  * dh_strip: Check host arch, not build arch for determining which binary
    packages to look at. Fixes cross building, thanks to Marcin Juszkiewicz
    for pointing this out.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 28 Mar 2011 15:36:20 +0200

pkg-create-dbgsym (0.47) natty; urgency=low

  * Add test for linux-any architecture.
  * Check for linux-any architecture when finding binary packages. LP: #725274.

 -- Chase Douglas <chase.douglas@ubuntu.com>  Sun, 27 Feb 2011 13:04:23 +0100

pkg-create-dbgsym (0.46) natty; urgency=low

  * tests/dhtest.whitespace: Add a comment line in the middle of the Depends:
    field. This reproduces the failure in LP #669430.
  * tests/run: Check that ddebs have a correct Section: field. This catches
    above bug.
  * pkg_create_dbgsym: Filter out comment lines from debian/control before
    processing. (LP: #669430)
  * Use 3.0 (native) source format.
  * debian/control: Bump Standards-Version to 3.9.1.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 31 Dec 2010 15:20:49 +0100
