## pkg-create-dbgsym 0.49

=== debian/changelog ===
pkg-create-dbgsym (0.49) oneiric; urgency=low

  * tests/cdbstest: Rename binary packages to cdbstest++*. This reproduces the
    failure of not building packages with '+' in the name for source packages
    which call dh_strip with -p.
  * dh_strip, in_list(): Use grep instead of egrep, to also work for packages
    with '+' in the name. (LP: #784029)
  * tests/run: Latest debhelper leaves behind debian/debhelper.log after
    cleaning in compat level 1. Remove this manually to avoid an unexpected
    before/after build diff.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 20 May 2011 08:46:38 +0200
