=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
                gdb,
                cdbs
 Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/pkg-create-dbgsym/ubuntu
 Build-Conflicts: pkgbinarymangler (<< 66~)
