## pkg-create-dbgsym 0.50

=== debian/changelog ===
pkg-create-dbgsym (0.50) precise; urgency=low

  * debian/control: Drop Vcs-Bzr:, we are using the standard
    ubuntu:pkg-create-dbgsym branch now.
  * debian/control: Bump Standards-Version to 3.9.2, no changes necessary.
  * tests: Verify that package and corresponding ddeb have an identical
    Multi-Arch field.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 25 Nov 2011 14:58:13 +0100
