## pkg-create-dbgsym 0.50.2

=== debian/changelog ===
pkg-create-dbgsym (0.50.2) precise-proposed; urgency=medium

  * testsuite: Add dhtest.customdbgsym for a package that produces its own
    -dbgsym package, like our "linux" source package. Reproduces LP #1450464.
  * pkg_create_dbgsym: When called with -B (i. e. from dh_strip), create a
    marker for dh_gencontrol, so that the latter does not try to process
    custom -dbgsym binaries. (LP: #1450464)
  * dh_strip: Don't try to process *-dbgsym binaries.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 30 Apr 2015 16:45:12 +0200

pkg-create-dbgsym (0.50.1) precise-proposed; urgency=medium

  [ Colin Watson ]
  * Check each element of Architecture separately using dpkg-architecture,
    rather than inaccurately checking the whole field for "any" or
    "linux-any".

  [ Martin Pitt ]
  * testsuite: Enable dhtest.versionoverride, and verify that ddeb has exact
    same version as the corresponding deb. Reproduces LP #1448247.
  * testsuite: Add "manualtest" which builds a package without debhelper or
    any other abstractions, and calls pkg_create_dbgsym directly.
  * pkg_create_dbgsym: Add -B option for only building the ddeb package dir in
    debian/ but not building the .ddeb package yet. This keeps the default
    behaviour for packages which call this manually, but allows us to modify
    the ddeb package directory later during the package build process.
  * Handle binary packages with different version than the source:
    - Add our own dh_gencontrol wrapper which adjusts the ddeb's versions
      after the original dh_gencontrol determined the final binary version of
      the original debs, and then builds the .ddebs.
    - dh_strip: Call pkg_create_dbgsym with -B, so that we move the actual
      .ddeb generation into dh_gencontrol.
    - preinst, postrm: Divert dh_gencontrol.
    - LP: #1448247

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 28 Apr 2015 16:08:28 +0200
