=== tests/dhtest/debian/control ===
--- 
+++ 
@@ -13,11 +13,13 @@
 Conflicts: dhtestall (<< ${foo})
 Replaces: dhtestall (<< ${foo})
 Breaks: dhtestall (<< ${foo})
+Multi-Arch: same
 Description: crash with a SIGSEGV
  Test package
 
 Package: dhtest2
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}
 Description: crash with a SIGFPE
  Test package
