## pkg-create-dbgsym 0.54

=== debian/changelog ===
pkg-create-dbgsym (0.54) quantal; urgency=low

  * pkg_create_dbgsym: Do not conflict with python3-*-dbg packages, to match
    existing handling of python-*-dbg.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 28 Sep 2012 11:28:54 +0100

pkg-create-dbgsym (0.53) quantal; urgency=low

  * tests/: Add Enhances: field to dhtest test case, and ensure that ddebs do
    not have an Enhances: field. Reproduces LP #1049324.
  * pkg_create_dbgsym: Filter out Enhances: (LP: #1049324)
  * pkg_create_dbgsym: Call readelf with C locale to avoid output parsing
    errors due to translations.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Sep 2012 09:56:16 +0200

pkg-create-dbgsym (0.52) quantal; urgency=low

  * pkg_create_dbgsym: Fix invocation of substr() to also work with mawk.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 24 Aug 2012 17:25:32 +0200

pkg-create-dbgsym (0.51) quantal; urgency=low

  * tests/run: Do not explicitly set the symbols-file path, but let gdb find
    it by itself using the debuglink or buildid.
  * Add tests/dhtest.dbg.buildid to check a dh compat 9 build using buildids
    for debug symbols. Reproduces LP #1040645.
  * pkg_create_dbgsym: When building with dh compat level >= 9 and the ELF has
    a buildid, use that for the debug symbols. (LP: #1040645)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 24 Aug 2012 15:30:05 +0200
