=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  pkg_create_dbgsym builds a debug symbol ddeb for a given package in a
  built source tree and adds it to debian/files.
  .
- This package diverts and wraps debhelper's dh_strip and dh_gencontrol. It
- automatically calls pkg_create_dbgsym for all packages dh_strip is asked to
- act on.  As a result, by merely installing this package on buildds, all
+ This package diverts and wraps debhelper's dh_strip. It automatically
+ calls pkg_create_dbgsym for all packages dh_strip is asked to act on.
+ As a result, by merely installing this package on buildds, all
  packages will automatically get ddebs built.
