## pkg-create-dbgsym 0.56

=== debian/changelog ===
pkg-create-dbgsym (0.56) raring; urgency=low

  * Drop the -z9 from the dpkg-deb call, defaulting to -z6.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 04 Dec 2012 05:54:05 -0700

pkg-create-dbgsym (0.55) raring; urgency=low

  * Use -Zxz -z9 compression options.
  * Bump standards version to 3.9.3 (no changes).

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 04 Dec 2012 12:15:40 +0000
