=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: pkg-create-dbgsym
 Section: devel
 Priority: extra
+# cdbs is used in the testsuite
 Build-Depends: debhelper (>= 7.0.50~),
                gdb,
                cdbs
 Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Build-Conflicts: pkgbinarymangler (<< 66~)
 
 Package: pkg-create-dbgsym
