## pkg-create-dbgsym 0.62

=== debian/changelog ===
pkg-create-dbgsym (0.62) saucy; urgency=low

  * If an ELF file has multiple build IDs, only consider the first one.
    (LP: #1189342)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 02 Sep 2013 10:37:05 +0200

pkg-create-dbgsym (0.61) saucy; urgency=low

  * Add tests/dhtest.dbg.empty with a transitional -dbg package that is empty,
    mimicking unity-2d-dbg and reproducing LP #1196995.
  * pkg_create_dbgsym: Heuristically ignore -dbg packages which have
    "transitional" in them, to get proper -dbgsym packages for those sources.
    (LP: #1196995)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 05 Jul 2013 11:13:20 +0200

pkg-create-dbgsym (0.60) saucy; urgency=low

  * Add dhtest.pydbg test case which builds a python module and corresponding
    python-dhtest-dbg. (Reproduces LP #1192111)
  * pkg_create_dbgsym: Ignore python* packages when searching for existing
    -dbg packages, as these are something completely different. We still want
    to build -dbgsym packages for the non-python bits.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 19 Jun 2013 09:25:48 +0200

pkg-create-dbgsym (0.59) saucy; urgency=low

  * Guard pkg_create_dbgsym debian/compat check, to avoid unsightly
    build log spew on packages that still don't have a compat file.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 11 Jun 2013 22:06:20 -0600

pkg-create-dbgsym (0.58) saucy; urgency=low

  * pkg_create_dbgsym: Remove leftover special-casing of python*-dbg packages;
    we now want these be empty as well. (LP: #1186617)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 03 Jun 2013 14:17:08 +0200

pkg-create-dbgsym (0.57) saucy; urgency=low

  * For sources that build one (or more) -dbg packages, create empty dbgsyms
    which depend on those, instead of duplicating the symbols and conflicting
    with -dbg. This should provide quite a lot of space saving. (LP: #1003234)
  * tests/run: Show name of current test, for easier visual separation of the
    output.
  * Bump Standards-Version to 3.9.4 (no changes necessary).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 14 May 2013 15:40:48 +0200
